import requests


codes = range(100, 505)
np_words = [
    "learners",
    "deactivated",
    "groups",
    "activated",
    "activate",
    "deactivate",
    "enroll",
    "assign",
    "assigned",
    "catalog",
    "enrolled",
    "learning_path",
    "learner",
    "learning_paths",
    "courses",
    "course",
    "academy",
    "school",
    "university",
    "learning",
    "events",
    "credentials",
    "quiz_attempts",
    "quizzes",
    "quiz",
    "assignments",
    "categories",
    "activities",
]
bad_urls = []

for code in codes:
    code = str(code)
    url = f"https://knowledge.mattr.global/{code}"
    response = requests.get(url)
    data = response.text
    if "0228c2e9-bc32-4f87-9db9-934518ef8ebf" in data:
        bad_urls.append(url)

print(bad_urls)
